Package name.pachler.nio.file.impl

# Class WindowsPathWatchService

java.lang.Object
name.pachler.nio.file.WatchService
name.pachler.nio.file.impl.PathWatchService
name.pachler.nio.file.impl.WindowsPathWatchService

All Implemented Interfaces:
  `Closeable`, `AutoCloseable`

public class WindowsPathWatchService extends PathWatchService

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`class`
`WindowsPathWatchService.WindowsPathWatchThread`

## Field Summary

### Fields inherited from class name.pachler.nio.file.impl.PathWatchService

`FLAG_ACCURATE, FLAG_FILTER_ENTRY_CREATE, FLAG_FILTER_ENTRY_DELETE, FLAG_FILTER_ENTRY_MODIFY, FLAG_FILTER_ENTRY_RENAME_FROM, FLAG_FILTER_ENTRY_RENAME_TO, FLAG_FILTER_KEY_INVALID, FLAG_WATCH_SUBTREE`

## Constructor Summary

Constructors
Constructor
Description
`WindowsPathWatchService()`

## Method Summary

Modifier and Type
Method
Description
`void`
`close()`
`void`
`finalize()`
`WatchKey`
`poll()`
`WatchKey`
`poll(long timeout, TimeUnit unit)`
`PathWatchKey`
`register(Path path, WatchEvent.Kind<?>[] kinds, WatchEvent.Modifier[] modifiers)`
`boolean`
`reset(PathWatchKey pathWatchKey)`
`WatchKey`
`take()`

### Methods inherited from class name.pachler.nio.file.impl.PathWatchService

`checkAndCastToPathImpl, makeFlagMask`

### Methods inherited from class java.lang.Object

`clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### WindowsPathWatchService

public WindowsPathWatchService()

## Method Details

### register

public PathWatchKey register(Path path, WatchEvent.Kind<?>[] kinds, WatchEvent.Modifier[] modifiers) throws IOException

Specified by:
  `register` in class `PathWatchService`
Throws:
  `IOException`

### reset

public boolean reset(PathWatchKey pathWatchKey)

### close

public void close() throws IOException

Specified by:
  `close` in interface `AutoCloseable`
Specified by:
  `close` in interface `Closeable`
Specified by:
  `close` in class `WatchService`
Throws:
  `IOException`

### poll

public WatchKey poll() throws InterruptedException, ClosedWatchServiceException

Specified by:
  `poll` in class `WatchService`
Throws:
  `InterruptedException`
  `ClosedWatchServiceException`

### poll

public WatchKey poll(long timeout, TimeUnit unit) throws InterruptedException, ClosedWatchServiceException

Specified by:
  `poll` in class `WatchService`
Throws:
  `InterruptedException`
  `ClosedWatchServiceException`

### take

public WatchKey take() throws InterruptedException, ClosedWatchServiceException

Specified by:
  `take` in class `WatchService`
Throws:
  `InterruptedException`
  `ClosedWatchServiceException`

### finalize

public void finalize() throws Throwable

Overrides:
  `finalize` in class `Object`
Throws:
  `Throwable`